#### Previous topic

scipy.signal.argrelmin

#### Next topic

scipy.signal.argrelextrema

# scipy.signal.argrelmax

`scipy.signal.``argrelmax`(data, axis=0, order=1, mode='clip')

  Calculate the relative maxima of data.

  Parameters:

  data : ndarray

  > Array in which to find the relative maxima.

  axis : int, optional

  > Axis over which to select from data. Default is 0.

  order : int, optional

  > How many points on each side to use for the comparison to consider `comparator(n, n+x)` to be True.

  mode : str, optional

  > How the edges of the vector are treated. Available options are ‘wrap’ (wrap around) or ‘clip’ (treat overflow as the same as the last (or first) element). Default ‘clip’. See `numpy.take`.

  Returns:

  extrema : tuple of ndarrays

  > Indices of the maxima in arrays of integers. `extrema[k]` is the array of indices of axis k of data. Note that the return value is a tuple even when data is one-dimensional.

  See also

  `argrelextrema`, `argrelmin`

  Notes

  This function uses `argrelextrema` with np.greater as comparator.

  New in version 0.11.0.

  Examples

      >>> from scipy.signal import argrelmax
      >>> x = np.array([2, 1, 2, 3, 2, 0, 1, 0])
      >>> argrelmax(x)
      (array([3, 6]),)
      >>> y = np.array([[1, 2, 1, 2],
      ...               [2, 2, 0, 0],
      ...               [5, 3, 4, 4]])
      ...
      >>> argrelmax(y, axis=1)
      (array([0]), array([1]))